// Power waveform for a purely reactive load
// SCILAB source file: tyk31-1.sce
// Clear any previous graphic window
clf();
txt = ['Input maximum value in V';'Input frequency in Hz';'Input load reactance in ohms'];
var = x_mdialog('Enter parameters',txt,['10';'100';'5']);
vm = evstr(var(1));
f = evstr(var(2));
x = evstr(var(3));
t = [0:0.0001:0.02]; // set time scale
v = vm*sin(6.28*f*t);
// Test to see if the reactance is inductive or capacitive
if sign(x) then
    i = (vm/x)*sin(6.28*f*t + %pi/2);  // current leads voltage
else
    i = (vm/x)*sin(6.28*f*t - %pi/2);  // current lags voltage
end
p = i .* v; // elementwise multiplication
// Plot voltage, current and power waveforms
plot2d(t,v,style=3);  // green line for voltage
plot2d(t,i,style=4);  // blue line for current
plot2d(t,p,style=5);  // red line for power
// Print grid and title
xgrid(); // add grid
xtitle('Voltage, current and power waveforms');
hl=legend(['Voltage';'Current';'Power']);
// Note that the power waveform is symmetrical about the axis
// Hence, over one complete cycle the net power is zero

